Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api
Enum ScheduledWorkflowAction.DateType

    java.lang.Object
      java.lang.Enum<ScheduledWorkflowAction.DateType>
          com.ibm.workplace.wcm.api.ScheduledWorkflowAction.DateType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScheduledWorkflowAction.DateType>

Enclosing interface:
  ScheduledWorkflowAction

    public static enum ScheduledWorkflowAction.DateType

extends java.lang.Enum<ScheduledWorkflowAction.DateType>

The list of possible Scheduled action date types

Enum Constant Summary
`CUSTOM_ACTION_DATE`
`DATE_ENTERED_STAGE`
`EFFECTIVE_DATE`
`EXPIRY_DATE`
`GENERAL_DATE_ONE`
`GENERAL_DATE_TWO`
`SELECTED_DATE`

Method Summary
`static ScheduledWorkflowAction.DateType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScheduledWorkflowAction.DateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EFFECTIVE_DATE

    public static final ScheduledWorkflowAction.DateType EFFECTIVE_DATE

### EXPIRY_DATE

    public static final ScheduledWorkflowAction.DateType EXPIRY_DATE

### GENERAL_DATE_ONE

    public static final ScheduledWorkflowAction.DateType GENERAL_DATE_ONE

### GENERAL_DATE_TWO

    public static final ScheduledWorkflowAction.DateType GENERAL_DATE_TWO

### DATE_ENTERED_STAGE

    public static final ScheduledWorkflowAction.DateType DATE_ENTERED_STAGE

### CUSTOM_ACTION_DATE

    public static final ScheduledWorkflowAction.DateType CUSTOM_ACTION_DATE

### SELECTED_DATE

    public static final ScheduledWorkflowAction.DateType SELECTED_DATE

Method Detail

### values

    public static ScheduledWorkflowAction.DateType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScheduledWorkflowAction.DateType c : ScheduledWorkflowAction.DateType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScheduledWorkflowAction.DateType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD